Subject: Re: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Anders Lindgren <[email-masked]>
Date: Tue, 15 Dec 2015 20:56:35 +0100

Hi,

As you see, stty uses -iutf8. Don't know, whether this results in
> problems. What's the output of "stty -a" in your terminal?
>

speed 9600 baud; 24 rows; 80 columns;
lflags: icanon isig iexten echo echoe -echok echoke -echonl echoctl
-echoprt -altwerase -noflsh -tostop -flusho pendin -nokerninfo
-extproc
iflags: -istrip icrnl -inlcr -igncr ixon -ixoff ixany imaxbel iutf8
-ignbrk brkint -inpck -ignpar -parmrk
oflags: opost onlcr -oxtabs -onocr -onlret
cflags: cread cs8 -parenb -parodd hupcl -clocal -cstopb -crtscts -dsrflow
-dtrflow -mdmbuf
cchars: discard = ^O; dsusp = ^Y; eof = ^D; eol = <undef>;
eol2 = <undef>; erase = ^?; intr = ^C; kill = ^U; lnext = ^V;
min = 1; quit = ^\; reprint = ^R; start = ^Q; status = ^T;
stop = ^S; susp = ^Z; time = 0; werase = ^W;

> I have committed a patch to the emacs-25 branch, which shall set the
> process encoding to `utf-8-mac'. Could you, pls, check? In case it
> doesn't work, pls send the whole traces again that I can check whether
> the patch did apply correctly (I cannot test on OS X). If not, we could
> try to change tty settings.
>

I just ran the updated test. Unfortunately, the tramp tests still hang.

I have attached the log of tramp-test32-utf8.

    -- Anders